Name:           qwhitesurgtkdecorations
Version:        0.1.0
Release:        1%{?dist}
Summary:        Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations
License:        LGPL-2.1
URL:            https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations
Source0:        https://github.com/FengZhongShaoNian/QWhiteSurGtkDecorations/archive/%{version}/QWhiteSurGtkDecorations-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
Qt decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qt5
Summary:        Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  qt5-qtbase-common
BuildRequires:  qt5-qtdeclarative
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtwayland
BuildRequires:  qt5-qtbase
BuildRequires:  qt5-qtsvg

%description qt5
Qt5 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%package qt6
Summary:        Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations
BuildRequires:  qt6-qtwayland-devel
BuildRequires:  qt6-qtbase-common
BuildRequires:  qt6-qtdeclarative
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtsvg-devel
BuildRequires:  qt6-qtwayland
BuildRequires:  qt6-qtbase
BuildRequires:  qt6-qtsvg

%description qt6
Qt6 decoration plugin implementing WhiteSur-gtk-like client-side decorations.

%prep
%setup -q -n QWhiteSurGtkDecorations-%{version}

%build
export CXX=g++
export CC=gcc

# Building for Qt5
mkdir -p build-0.1.0-qt5
cd build-0.1.0-qt5
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DHAS_QT6_SUPPORT=false -DUSE_QT6=false
make

# Building for Qt6
mkdir -p build-0.1.0-qt6
cd build-0.1.0-qt6
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DUSE_QT6=true
make

%install
# Installing for Qt5
mkdir -p %{buildroot}%{_libdir}/qt5
DESTDIR=%{buildroot} make install -C build-0.1.0-qt5

# Installing for Qt6
mkdir -p %{buildroot}%{_libdir}/qt6
DESTDIR=%{buildroot} make install -C build-0.1.0-qt6

%files qt5
%{_libdir}/qt5

%files qt6
%{_libdir}/qt6

%changelog
* Wed Nov 13 2024 Alexandra Travkina <kodersha@icloud.com> - 0.1.0
- Initial version
